Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class BatchInformation2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.BatchInformation2

    public class BatchInformation2
    extends java.lang.Object

Java class for BatchInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BatchInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max15NumericText" minOccurs="0"/>
             <element name="TtlAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CreditDebitCode" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CreditDebitCode` `cdtDbtInd`
`protected java.lang.String` `msgId`
`protected java.lang.String` `nbOfTxs`
`protected java.lang.String` `pmtInfId`
`protected ActiveOrHistoricCurrencyAndAmount` `ttlAmt`

### Constructor Summary

Constructors
`BatchInformation2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`java.lang.String` `getNbOfTxs()` Gets the value of the nbOfTxs property.
`java.lang.String` `getPmtInfId()` Gets the value of the pmtInfId property.
`ActiveOrHistoricCurrencyAndAmount` `getTtlAmt()` Gets the value of the ttlAmt property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.
`void` `setNbOfTxs​(java.lang.String value)` Sets the value of the nbOfTxs property.
`void` `setPmtInfId​(java.lang.String value)` Sets the value of the pmtInfId property.
`void` `setTtlAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the ttlAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### pmtInfId

    protected java.lang.String pmtInfId

#### nbOfTxs

    protected java.lang.String nbOfTxs

#### ttlAmt

    protected ActiveOrHistoricCurrencyAndAmount ttlAmt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

### Constructor Detail

#### BatchInformation2

    public BatchInformation2()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getPmtInfId

    public java.lang.String getPmtInfId()

Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

#### setPmtInfId

    public void setPmtInfId​(java.lang.String value)

Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getNbOfTxs

    public java.lang.String getNbOfTxs()

Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

#### setNbOfTxs

    public void setNbOfTxs​(java.lang.String value)

Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getTtlAmt

    public ActiveOrHistoricCurrencyAndAmount getTtlAmt()

Gets the value of the ttlAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setTtlAmt

    public void setTtlAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the ttlAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`